We just released our native n8n integration!ยป Try now
OnlyFans API
Free Trial Links

Get Free Trial Link

Get individual Free Trial Link details and it's revenue data

GET
/api/{account}/trial-links/{trial_link_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

trial_link_id*string

The ID of the trial link.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/trial-links/non"
{
  "data": {
    "id": 123,
    "trialLinkName": "Trial link name",
    "url": "https://onlyfans.com/username/trial/abc123",
    "subscribeDays": 30,
    "subscribeCounts": 0,
    "claimCounts": 123,
    "clicksCounts": 182,
    "expiredAt": null,
    "createdAt": "2025-01-01T01:01:01+00:00",
    "isFinished": false,
    "tags": [
      "Instagram",
      "Twitter"
    ],
    "revenue": {
      "total": 123,
      "revenuePerSubscriber": 12,
      "spendersCount": 16,
      "calculatedAt": "2025-01-01T01:01:01+00:00",
      "isLoading": false
    },
    "links": {
      "related": {
        "subscribers": "https://app.onlyfansapi.com/api/acct_abc123/trial-links/123/subscribers"
      }
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 7095551,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4998,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}